Subject: new listing
From: [email-masked]
Date: Fri, 20 Feb 1998 12:32:11 EST

hi,
my name is talyne Corlyn and i am the co-chair of BiNetAz an affiliate of
BiNetUSA.  we publish 6 newsletter a year and they are available for $5. each
or free with a membership, (based on income, minimum annual membership $20.,
although no one will be denied membership for financial reasons.)  we offer
monthly support groups for men and women, a general meeting/support group for
the entire membership and twice monthly social events. we have bi men and
women, straight spouses and trans people in our group.  our web page is
www.binetaz.org and our address is c/o Valley of the Sun Gay and Lesbian
Community Center p.o. box 33367 Phoenix, Az 85067-3367. it is located at 24 W.
Camelback, Phoenix
Thank you for working so hard to provide this service.
in peace and solidarity,
talyne